| POST | /RestApi/recycle-bin/batch/restore |
|---|
import java.math.*
import java.util.*
import java.io.InputStream
import net.servicestack.client.*
open class RestoreRecycleBinItems
{
open var Ids:ArrayList<UUID>? = null
}
open class BatchRestoreModalMessageProxy : ModalMessageProxy()
{
open var InvalidItems:ArrayList<UUID>? = null
}
open class ModalMessageProxy
{
open var IsRecoverable:Boolean? = null
open var HeaderText:String? = null
open var BodyText:String? = null
open var ActionButtonText:String? = null
open var HasCancelButton:Boolean? = null
}
Kotlin RestoreRecycleBinItems DTOs
To override the Content-type in your clients, use the HTTP Accept Header, append the .csv suffix or ?format=csv
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
POST /RestApi/recycle-bin/batch/restore HTTP/1.1
Host: www.imglobal.com
Accept: text/csv
Content-Type: text/csv
Content-Length: length
{"Ids":["00000000-0000-0000-0000-000000000000"]}
HTTP/1.1 200 OK
Content-Type: text/csv
Content-Length: length
{Unable to show example output for type 'BatchRestoreModalMessageProxy' using the custom 'csv' filter}No parameterless constructor defined for this object.